from apiclient.discovery import build
from httplib2 import Http
from oauth2client import file, client, tools

SCOPES = 'https://www.googleapis.com/auth/drive.readonly https://www.googleapis.com/auth/spreadsheets.readonly'

def main():

	# The file token.json stores the user's access and refresh tokens, and is
    # created automatically when the authorization flow completes for the first
    # time.
    store = file.Storage('token.json')
    creds = store.get()
    if not creds or creds.invalid:
        flow = client.flow_from_clientsecrets('credentials.json', SCOPES)
        creds = tools.run_flow(flow, store)
    service = build('drive', 'v3', http=creds.authorize(Http()))

    files = service.files().list(spaces='drive', pageSize=1000, q="mimeType = 'application/vnd.google-apps.spreadsheet'").execute().get('files', [])


    print ("found " + str(len(files)) + " files")
    for f in files:
    	print ('%s, %s' % (f['name'], f['mimeType']))



if __name__ == '__main__':
    main()